/**
 * SBML-SSAlib bridge: a bridge library to connect SSAlib and SBML
 *
 * Copyright (C) 2004-2009, SBML-SSA Team, Keio/Seikei University.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *                    
 * @file    common.h
 * @brief   common header file
 * @author  Keio/Seikei SBML-SSA Team.
 */

#ifndef common_h
#define common_h

extern "C" {
#include "libssa.h"
}

const double AvogadroConstant = 6.0221415e+23;

typedef Problem    SSAProblem;
typedef Trajectory SSATrajectory;
typedef Timeline   SSATimeLine;

typedef enum { LIBSSA_DirectLinear,  // DirectLinear
               LIBSSA_SolverType_Num // number of solvers (not solver)
             } SSASolverType_t;

#endif  /* common_h */
